      *****************************************************************
      *                PASSLOGS is a COBOL Copy File                  *
      *     Data Structure or Pass Area used for calling SIMOLOGS.    *
      *         Copyright (C) 1987-2019 SimoTime Technologies         *
      *                     All Rights Reserved                       *
      *****************************************************************
      *              Provided by SimoTime Technologies                *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *****************************************************************
      * SIMOLOGS-REQUEST  Type of request, must be one of the         *
      *                   following values.                           *
      *                   BOTH - Display message on the console,      *
      *                          Write message to the SYSLOG file.    *
      *                   FILE - Write message to the SYSLOG file.    *
      *                   NOTE - Display message on the console,      *
      *                          Write message to the SYSLOG file.    *
      *                   SHOW - Display message on the console.      *
      *                                                               *
      *                   OPR1 - Display message to Console Operator. *
      *                   OPR2 - Display message to Console Operator, *
      *                          write message to the SYSLOG file.    *
      *                   OUT1 - Display message to SYSOUT.           *
      *                   OUT2 - Display message to SYSOUT,           *
      *                          write message to SYSLOG file.        *
      *                   LOG1 - Write message to the SYSLOG file.    *
      * SIMOLOGS-STATUS   This is an indicator as to the success      *
      *                   or failure of the request. A value of       *
      *                   zero (0000) indicates the routine was       *
      *                   successful. A non-zero value indicates      *
      *                   a failure.                                  *
      * SIMOLOGS-MESSAGE  Contains the message text.                  *
      *****************************************************************
       01  SIMOLOGS-PASS-AREA.
           05  SIMOLOGS-REQUEST    pic X(4).
           05  SIMOLOGS-STATUS     pic 9999.
           05  SIMOLOGS-MESSAGE    pic X(1024).
      ***  PASSLOGS - End-of-Copy File - - - - - - - - - - - PASSLOGS *
      *****************************************************************
      *
